# QXmlSchema Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QXmlSchema()
- void QXmlSchema(QXmlSchema other)

### Constructor Properties

- prototype: The QXmlSchema prototype object

### Prototype Object Properties

- QUrl documentUri()
- bool isValid()
- bool load(QIODevice source, QUrl documentUri)
- QAbstractMessageHandler messageHandler()
- QXmlNamePool namePool()
- QNetworkAccessManager networkAccessManager()
- void setMessageHandler(QAbstractMessageHandler handler)
- void setNetworkAccessManager(QNetworkAccessManager networkmanager)
- void setUriResolver(QAbstractUriResolver resolver)
- QAbstractUriResolver uriResolver()

### Instance Properties

QXmlSchema objects have no special properties beyond those inherited from the QXmlSchema prototype object.